import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:gmap_place_picker/gmap_place_picker.dart';

void main() {
  const MethodChannel channel = MethodChannel('gmap_place_picker');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await GmapPlacePicker.platformVersion, '42');
  });
}
